function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_0",
		requires =
		function ()
			if location == "Holdable_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-2600, 130, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_1",
		requires =
		function ()
			if location == "Holdable_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-2210, 130, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_2",
		requires =
		function ()
			if location == "Holdable_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-1770, 130, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_3",
		requires =
		function ()
			if location == "Holdable_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-1350, 130, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_6",
		requires =
		function ()
			if location == "Holdable_5" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-1000, 130 , "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_5",
		requires =
		function ()
			if location == "Holdable_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-370, 130, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_7",
		requires =
		function ()
			if location == "Holdable_6" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-200, 130, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Holdable_loc_8",
		requires =
		function ()
			if location == "Holdable_7" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(430, 140	, "Holdables2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},	
	{
		"Violet_PlusTwoGym_Holdable_loc_4",
		requires =
		function ()
			if location == "Holdable_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(730, -200, "Holdables2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
